> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update organisation

> Update a single organisation by ID



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml patch /v1/organisations/{organisationId}
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}:
    patch:
      tags:
        - Organisation
      summary: Update organisation
      description: Update a single organisation by ID
      operationId: OrganisationController_update
      parameters:
        - name: organisationId
          required: true
          in: path
          description: Organisation ID
          schema:
            example: org_31XEcUshz1ymodA14HALnyP48g1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganisationUpdateParams'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organisation'
components:
  schemas:
    OrganisationUpdateParams:
      type: object
      properties:
        name:
          type: string
          description: Name of the organisation
          example: New Organisation
        websiteUrl:
          type: string
          nullable: true
          format: uri
          deprecated: true
        brandImageUrl:
          type: string
          nullable: true
          format: uri
        wordmarkImageUrl:
          type: string
          nullable: true
          format: uri
    Organisation:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the organisation
          example: org_31XEcUshz1ymodA14HALnyP48g1
        name:
          type: string
          description: Name of the organisation
          example: Acme Healthcare
        slug:
          type: string
          description: URL-friendly identifier for the organisation
          example: acme-healthcare
        createdAt:
          format: date-time
          type: string
          description: Date when the organisation was created
          example: '2023-01-15T10:30:00Z'
        brandImageUrl:
          type: string
          nullable: true
          description: URL to the organisation's brand image
          example: https://example.com/brand-image.png
        bookingsEnabled:
          type: boolean
          description: True if bookings are enabled for this organisation
          example: true
        wordmarkImageUrl:
          type: string
          nullable: true
          description: URL to the organisation's wordmark image
          example: https://example.com/wordmark-image.png
        websiteUrl:
          type: string
          nullable: true
          description: URL to the organisation's website
          example: https://example.com
          deprecated: true
      required:
        - id
        - name
        - slug
        - createdAt
        - bookingsEnabled

````